Commit fce11dd7 authored by alexpott's avatar alexpott

Issue #2285795 by Gábor Hojtsy: Fixed Drupal 8 loads alpha2 translations instead of alpha12.

parent 7872b9a0
......@@ -1360,7 +1360,7 @@ function install_get_localization_release($version = \Drupal::VERSION) {
// Dev release: the previous point release (e.g., 8.2-dev falls back to
// 8.1) or any unstable release (e.g., 8.0-dev falls back to 8.0-rc1,
// 8.0-beta1 or 8.0-alpha2)
// 8.0-beta1 or 8.0-alpha12)
case 'dev':
if ($info['minor'] >= 1) {
$alternatives[] = $info['major'] . '.' . ($info['minor'] - 1);
......@@ -1368,7 +1368,7 @@ function install_get_localization_release($version = \Drupal::VERSION) {
else {
$alternatives[] = $info['major'] . '.0-rc1';
$alternatives[] = $info['major'] . '.0-beta1';
$alternatives[] = $info['major'] . '.0-alpha2';
$alternatives[] = $info['major'] . '.0-alpha12';
}
break;
......
......@@ -80,7 +80,7 @@ public function testVersionFallback() {
$this->assertVersionFallback($version, $fallback);
$version = '8.0-dev';
$fallback = array('8.0-rc1', '8.0-beta1', '8.0-alpha2', '7.0');
$fallback = array('8.0-rc1', '8.0-beta1', '8.0-alpha12', '7.0');
$this->assertVersionFallback($version, $fallback);
$version = '8.9-dev';
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment